Improve this doc View source

# `pfFormGroup`
directive in module `patternfly.form`

## Description

Encapsulates the structure and styling for a label + input used within a Bootstrap3 based form.

This directive creates new scope.

## Usage

as attribute

    <ANY pf-form-group
         pf-label="{string}"
         pf-field-id="{string}"
         pf-label-class="{string}"
         pf-input-class="{string}">
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---
pfLabel | string | the text for the element.
pfFieldId | string | the id of the form field. Default value is id of the form field element.
pfLabelClass | string | the class of the label element. Default value is "col-sm-2".
pfInputClass | string | the class of the input element. Default value is "col-sm-5".

## Example

#### Source

#### Demo